ProjectAccessor

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.project
Interface ProjectAccessor

    com.change_vision.jude.api.inf.project.ProjectAccessor

public ProjectAccessor

Interface to Operate JUDE project.

Field Summary
`static int` | `REFERENCE_PROJECT_STATUS_LATEST`
`static int` | `REFERENCE_PROJECT_STATUS_NEED_UPDATE`
`static int` | `REFERENCE_PROJECT_STATUS_NOT_FOUND`

Method Summary
`abstract void` | `addReferenceProject(String path)` Add Reference Project in JUDE Project.
`abstract void` | `changeReferenceProject(String fromPath, String toPath)` Change Reference Project Path in JUDE Project.
`abstract void` | `clearReferenceProject(String path)` Clear Reference Project in JUDE Project.
`abstract void` | `close()` Close JUDE Project.
`abstract void` | `create(String projectPath, boolean useDefinedTaggedValues)` Create JUDE Project.
`abstract void` | `create(String projectPath)` Create JUDE Project without loading the user defined tagged values.
`abstract void` | `easyMerge(String path, boolean isKeepBase)` Merge a project into the current project.
`abstract void` | `exportXMI(String fileName)` Save JUDE Project as parameter's name.
`abstract IModel` | `getProject()` Get Model of project accessor.
`abstract String[]` | `getReferenceProjectPaths()` Get Reference Project Paths in JUDE Project.
`abstract int` | `getReferenceProjectStatus(String path)` Get Reference Project Status in JUDE Project.
`abstract void` | `importXMI(String projectName)` Open JUDE Project's XMI.
`abstract void` | `importXMI(String projectName, boolean isIgnoreModelVersion)` Open JUDE Project's XMI.
`abstract void` | `open(String projectName)` Open JUDE Project.
`abstract void` | `open(String projectName, boolean isIgnoreModelVersion)` Open JUDE Project.
`abstract void` | `open(String projectName, boolean isIgnoreModelVersion, boolean lockMode, boolean allowReadOnly)` Open JUDE Project.
`abstract void` | `open(InputStream in)` Open JUDE Project.
`abstract void` | `open(InputStream in, boolean isIgnoreModelVersion)` Open JUDE Project.
`abstract void` | `removeReferenceProject(String path)` Delete Reference Project in JUDE Project.
`abstract void` | `save()` Save JUDE Project.
`abstract void` | `saveAs(String projectName)` Save JUDE Project as parameter's name.
`abstract void` | `updateReferenceProject(String path)` Update Reference Project in JUDE Project.
`abstract void` | `validateProject()` Find invalid models in JUDE project

Field Detail

### REFERENCE_PROJECT_STATUS_LATEST

    public static final int REFERENCE_PROJECT_STATUS_LATEST

### REFERENCE_PROJECT_STATUS_NEED_UPDATE

    public static final int REFERENCE_PROJECT_STATUS_NEED_UPDATE

### REFERENCE_PROJECT_STATUS_NOT_FOUND

    public static final int REFERENCE_PROJECT_STATUS_NOT_FOUND

Method Detail

### open

    public abstract void open(String projectName)

  Open JUDE Project.

  Parameters:
    `projectName` - Project Name
  Throws:
    `LicenseNotFoundException` - License cannot be found
    `ProjectNotFoundException` - Project cannot be found
    `NonCompatibleException` - Old Model Version (The version of API is older than the version of JUDE this project has been last edited with)
    `ClassNotFoundException` - Cannot read some models
    `IOException` - input/output error
    `ProjectLockedException` - Project file has been locked

### open

    public abstract void open(String projectName,
                              boolean isIgnoreModelVersion)

  Open JUDE Project.

  Parameters:
    `projectName` - Project Name
    `isIgnoreModelVersion` - Select if you need a Model Version Check
  Throws:
    `LicenseNotFoundException` - License cannot be found
    `ProjectNotFoundException` - Project cannot be found
    `NonCompatibleException` - Old Model Version (The version of API is older than the version of JUDE this project has been last edited with)
    `ClassNotFoundException` - Cannot read some models
    `IOException` - input/output error
    `ProjectLockedException` - Project file has been locked

### open

    public abstract void open(String projectName,
                              boolean isIgnoreModelVersion,
                              boolean lockMode,
                              boolean allowReadOnly)

  Open JUDE Project.

  Parameters:
    `projectName` - Project Name
    `isIgnoreModelVersion` - Select if you need a Model Version Check
    `lockMode` - Select if you lock a project file
    `allowReadOnly` - Select if you open a project in ReadOnly mode when it has been locked.
  Throws:
    `LicenseNotFoundException` - License cannot be found
    `ProjectNotFoundException` - Project cannot be found
    `NonCompatibleException` - Old Model Version (The version of API is older than the version of JUDE this project has been last edited with)
    `ClassNotFoundException` - Cannot read some models
    `IOException` - input/output error
    `ProjectLockedException` - Project file has been locked

### saveAs

    public abstract void saveAs(String projectName)

  Save JUDE Project as parameter's name.

  Throws:
    `LicenseNotFoundException` - License cannot be found
    `ProjectNotFoundException` - Project cannot be found
    `IOException` - input/output error
    `ProjectLockedException` - Project file has been locked

### importXMI

    public abstract void importXMI(String projectName)

  Open JUDE Project's XMI.

  Parameters:
    `projectName` - Project Name
  Throws:
    `LicenseNotFoundException` - License cannot be found
    `ProjectNotFoundException` - Project cannot be found
    `NonCompatibleException` - Old Model Version (The version of API is older than the version of JUDE this project has been last edited with)
    `ClassNotFoundException` - Cannot read some models
    `IOException` - input/output error

### importXMI

    public abstract void importXMI(String projectName,
                                   boolean isIgnoreModelVersion)

  Open JUDE Project's XMI.

  Parameters:
    `projectName` - Project Name
    `isIgnoreModelVersion` - Select if you need a Model Version Check
  Throws:
    `LicenseNotFoundException` - License cannot be found
    `ProjectNotFoundException` - Project cannot be found
    `NonCompatibleException` - Old Model Version (The version of API is older than the version of JUDE this project has been last edited with)
    `ClassNotFoundException` - Cannot read some models
    `IOException` - input/output error

### exportXMI

    public abstract void exportXMI(String fileName)

  Save JUDE Project as parameter's name.

  Parameters:
    `fileName` - File Name
  Throws:
    `LicenseNotFoundException` - License cannot be found
    `ProjectNotFoundException` - Project cannot be found
    `IOException` - input/output error

### open

    public abstract void open(InputStream in)

  Open JUDE Project.

  Parameters:
    `in` - InputStream
  Throws:
    `LicenseNotFoundException` - License cannot be found
    `ProjectNotFoundException` - Project cannot be found
    `NonCompatibleException` - Old Model Version (The version of API is older than the version of JUDE this project has been last edited with)
    `ClassNotFoundException` - Cannot read some models
    `IOException` - input/output error
    `ProjectLockedException` - Project file has been locked

### open

    public abstract void open(InputStream in,
                              boolean isIgnoreModelVersion)

  Open JUDE Project.

  Parameters:
    `in` - InputStream
    `isIgnoreModelVersion` - Select if you need a Model Version Check
  Throws:
    `LicenseNotFoundException` - License cannot be found
    `ProjectNotFoundException` - Project cannot be found
    `NonCompatibleException` - Old Model Version (The version of API is older than the version of JUDE this project has been last edited with)
    `ClassNotFoundException` - Cannot read some models
    `IOException` - input/output error

### getProject

    public abstract IModel getProject()

  Get Model of project accessor.

  Returns:
    Model

### close

    public abstract void close()

  Close JUDE Project.

### create

    public abstract void create(String projectPath,
                                boolean useDefinedTaggedValues)

  Create JUDE Project.

  Parameters:
    `projectPath` - Project Path
    `useDefinedTaggedValues` - Set if you need to load the user defined tagged values as creating the project
  Throws:
    `IOException` - input/output error

### create

    public abstract void create(String projectPath)

  Create JUDE Project without loading the user defined tagged values.

  Parameters:
    `projectPath` - Project Path
  Throws:
    `IOException` - input/output error

### save

    public abstract void save()

  Save JUDE Project.

  Throws:
    `LicenseNotFoundException` - License cannot be found
    `ProjectNotFoundException` - Project cannot be found
    `IOException` - input/output error
    `ProjectLockedException` - Project has been locked

### validateProject

    public abstract void validateProject()

  Find invalid models in JUDE project

  Throws:
    `ProjectNotFoundException` - Project doesn't exist
    `InvalidEditingException` - Invalid models exist

### addReferenceProject

    public abstract void addReferenceProject(String path)

  Add Reference Project in JUDE Project.

  Parameters:
    `path` - Reference Project Path. Absolute/Relative Path can be specified.
  Throws:
    `ProjectNotFoundException` - Project doesn't exist
    `InvalidEditingException` - Invalid models exist

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in JUDE/Community.
              PARAMETER_ERROR_KEY - if a parameter is not set properly.

        Values:
              Error messages for exceptions.

### removeReferenceProject

    public abstract void removeReferenceProject(String path)

  Delete Reference Project in JUDE Project.

  Parameters:
    `path` - Reference Project Path. Absolute/Relative Path can be specified.
  Throws:
    `ProjectNotFoundException` - Project doesn't exist
    `InvalidEditingException` - Invalid models exist

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in JUDE/Community.
              PARAMETER_ERROR_KEY - if a parameter is not set properly.

        Values:
              Error messages for exceptions.

### updateReferenceProject

    public abstract void updateReferenceProject(String path)

  Update Reference Project in JUDE Project.

  Parameters:
    `path` - Reference Project Path. Absolute/Relative Path can be specified.
  Throws:
    `ProjectNotFoundException` - Project doesn't exist
    `InvalidEditingException` - Invalid models exist

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in JUDE/Community.
              PARAMETER_ERROR_KEY - if a parameter is not set properly.

        Values:
              Error messages for exceptions.

### clearReferenceProject

    public abstract void clearReferenceProject(String path)

  Clear Reference Project in JUDE Project.

  Parameters:
    `path` - Reference Project Path. Absolute/Relative Path can be specified.
  Throws:
    `ProjectNotFoundException` - Project doesn't exist
    `InvalidEditingException` - Invalid models exist

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in JUDE/Community.
              PARAMETER_ERROR_KEY - if a parameter is not set properly.

        Values:
              Error messages for exceptions.

### changeReferenceProject

    public abstract void changeReferenceProject(String fromPath,
                                                String toPath)

  Change Reference Project Path in JUDE Project.

  Parameters:
    `fromPath` - Original Reference Project Path. Absolute/Relative Path can be specified.
    `toPath` - New Reference Project Path Absolute/Relative Path can be specified.
  Throws:
    `ProjectNotFoundException` - Project doesn't exist
    `InvalidEditingException` - Invalid models exist

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in JUDE/Community.
              PARAMETER_ERROR_KEY - if a parameter is not set properly.

        Values:
              Error messages for exceptions.

### getReferenceProjectPaths

    public abstract String[] getReferenceProjectPaths()

  Get Reference Project Paths in JUDE Project.

  Returns:
    Reference Project Paths. Absolute or Relative Path.
  Throws:
    `ProjectNotFoundException` - Project doesn't exist

### getReferenceProjectStatus

    public abstract int getReferenceProjectStatus(String path)

  Get Reference Project Status in JUDE Project.

  Parameters:
    `path` - Reference Project Path. Absolute/Relative Path can be specified.
  Returns:
    reference project status.

         ProjectAccessor.REFERENCE_PROJECT_STATUS_LATEST:Latest
         ProjectAccessor.REFERENCE_PROJECT_STATUS_NEED_UPDATE :Need Update
         ProjectAccessor.REFERENCE_PROJECT_STATUS_NOT_FOUND   :Not Found

  Throws:
    `ProjectNotFoundException` - Project doesn't exist

### easyMerge

    public abstract void easyMerge(String path,
                                   boolean isKeepBase)

  Merge a project into the current project. It should be called out of transaction, or InvalidEditingException throws.

  Parameters:
    `path` - Reference Project Path. Absolute/Relative Path can be specified.
    `isKeepBase` - When differences found, keep current or overwrite with reference.
  Throws:
    `ProjectNotFoundException` - Project doesn't exist
    `InvalidEditingException` - Invalid models exist

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in JUDE/Community.
              CAN_NOT_MERGE_IN_TRANSACTION_KEY - if a file is merged in transaction.
              CAN_NOT_MERGE_WHEN_CURRENT_HAS_REFERENCE_PROJRCT_KEY - if a file is merged to the current project with reference models.
              PARAMETER_ERROR_KEY - if a parameter is not set properly.

        Values:
              Error messages for exceptions.

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD